Inhalte

# Funktion Loc

Gibt Aufschluss über die gegenwärtige Position innerhalb einer geöffneten Datei.

## Syntax:

    Loc (Dateinummer)

## Rückgabewert:

Long

## Parameter:

Dateinummer: Ein beliebiger numerischer Ausdruck, der die von der Anweisung Open für die jeweilige Datei gesetzte Dateinummer enthält.

Wird die Funktion Loc auf eine geöffnete Datei mit wahlfreiem Zugriff angewendet, so gibt sie die Nummer des zuletzt gelesenen oder geschriebenen Datensatzes zurück.

In Verbindung mit einer sequentiellen Datei gibt die Funktion Loc die Position in der Datei an, dividiert durch 128. Für Binärdateien gilt die Position des zuletzt gelesenen oder geschriebenen Bytes.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch